Package pacManReloaded.common.model

## Enum Direction

- java.lang.Object
- - java.lang.Enum<Direction>
  - - pacManReloaded.common.model.Direction

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Direction>`

      public enum Direction
      extends java.lang.Enum<Direction>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `down` |
    `left` |
    `none` |
    `right` |
    `up` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Direction` | `Oposite()` |
    `static Direction` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Direction[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### none

          public static final Direction none

    - #### right

          public static final Direction right

    - #### left

          public static final Direction left

    - #### up

          public static final Direction up

    - #### down

          public static final Direction down

  - ### Method Detail

    - #### values

          public static Direction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Direction c : Direction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Direction valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### Oposite

          public Direction Oposite()